slackpkg+

Uputstva, saveti i trikovi

Moderator: Urednik

Post Reply

Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2122
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija Kraljevo
Contact:

Post Napisano: 26 Sep 2013, 19:10


Hvala druže. :beer:

Jedino što ću da uradim ću da blokiram slacky.eu repo jer mi nutka mnogo softvera vezanog za zastareo MATE 1.4.
Registrovani Linux korisnik #487729
Upostovano sa Linuks Operativnog Sistema



Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2122
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija Kraljevo
Contact:

Post Napisano: 27 Sep 2013, 11:12


Evo i msb repo je zvanično pridružen slackpkg+ projektu.
Što znači da će se MATE 1.8 (zašto se preskače verzija 1.7 nemam pojma) moći nadograditi uz pomoć slackpkg+ alata.
http://slackblogs.blogspot.com/2013/09/ ... ckBlogs%29" onclick="window.open(this.href);return false;

Pomenuo sam tamo u komentaru da si uspešno instalirao MATE preko slackpkg+.
Registrovani Linux korisnik #487729
Upostovano sa Linuks Operativnog Sistema



Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2122
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija Kraljevo
Contact:

Post Napisano: 26 Oct 2013, 13:29


Ima li neko probleme na 14.1 RC2 sa slackpkg plusom.
Stalno mi daje

Code: Select all

!!! W A R N I N G !!!
    Repository 'slacky' does NOT contain the GPG-KEY
    You SHOULD disable GPG check by setting 'CHECKGPG=off'
    in /etc/slackpkg/slackpkg.conf or use slackpkg with
    '-checkgpg=off' : 'slackpkg -checkgpg=off install packge'
I otvorim te izmenim /etc/slackpkg/slackpkg.conf CHECKGPG=on u off, cak sam i CHECKGPG stavio na off.
I pored toga sve to ovako nekako izgleda

Code: Select all

http://repository.slacky.eu/slackware-14.1/GPG-KEY:
2013-10-26 14:11:56 ERROR 404: Not Found.

                   !!! W A R N I N G !!!
    Repository 'slacky' does NOT contain the GPG-KEY
    You SHOULD disable GPG check by setting 'CHECKGPG=off'
    in /etc/slackpkg/slackpkg.conf or use slackpkg with
    '-checkgpg=off' : 'slackpkg -checkgpg=off install packge'

         

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while slackpkg was running:                       

GPG-KEY:	download error

==============================================================================
Najgore sto ima podosta azuriranja na 14.1 pa mi je daleko lakse da sada iskoristim alat slackpkg plus.
Inace instalirao sam ga na netbook-u preko USB sticka. :beer: I evo stavio sam ga na eksterni 22' montor, radi lakseg pregleda, jer ga polagano sredjujem.

Najcudnije sto pre nego sam instalirao slackpkg plus, na "starom" slackpkg sam u /etc/slackpkg/mirrors (ima dve opcije 14.1 i current) i probao sam obe varijate ali nece. Probao sam, izmedju ostalog, repo koji stalno koristim
ftp://ftp.osuosl.org/.2/slackware/slackware-current/" onclick="window.open(this.href);return false;
ili
ftp://ftp.osuosl.org/.2/slackware/slackware-14.1/" onclick="window.open(this.href);return false;

Probao ceski, bugraski, i jos par repoa i nece (znaci to pre nego sam instalirao slackpkg plus).
O cemu bi tu moglo da je rec.
Registrovani Linux korisnik #487729
Upostovano sa Linuks Operativnog Sistema



Administrator
Administrator
offline
User avatar

Posts: 2938
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 26 Oct 2013, 14:00


14.1 repo još nije „živ“, tek je u pripremi i zato ne možeš da mu pristupiš. U /etc/slackpkg/mirrors izaberi neki iz current grane.

Isto važi i za slackpkg+. Moraš da izmeniš adrese i kod alienBOB-a i kod ostalih. U nano /etc/slackpkg/slackpkgplus.conf
promena za restricted i alienbob bi bila ovakva:

iz

Code: Select all

MIRRORPLUS['alienbob']=http://taper.alienbase.nl/mirrors/people/alien/sbrepos/14.1/x86/
MIRRORPLUS['restricted']=http://taper.alienbase.nl/mirrors/people/alien/restricted_sbrepos/14.1/x86/
u

Code: Select all

MIRRORPLUS['alienbob']=http://taper.alienbase.nl/mirrors/people/alien/sbrepos/current/x86/
MIRRORPLUS['restricted']=http://taper.alienbase.nl/mirrors/people/alien/restricted_sbrepos/current/x86/
Isto treba da promeniš i u delu za GPG. Za Slacky.eu nisam probao.
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Prijatelj foruma
Prijatelj foruma
offline
User avatar

Posts: 2122
Joined: 08 Jun 2010, 13:28
Location: Centralna Srbija Kraljevo
Contact:

Post Napisano: 26 Oct 2013, 15:30


To je to. Hvala drugar. :beer:

Sa tim za Slacky.eu repo ide umesto postojeceg

Code: Select all

ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/
jasno, ovo je za 32-bit verziju.

Proradio je i OSUOSL.org repo ftp://ftp.osuosl.org/.2/slackware/slackware-current/" onclick="window.open(this.href);return false;

Znaci ne rade (jos uvek) repozitorijumi sa oznakama 14.1 vec treba ici na repoe sa oznakama current.
Registrovani Linux korisnik #487729
Upostovano sa Linuks Operativnog Sistema



Elitni član
Elitni član
offline
User avatar

Posts: 425
Joined: 25 Mar 2012, 20:01

Post Napisano: 29 Jul 2014, 14:33


Nešto mi je zatrebalo za XFCE a znam da je rlworkman repo pun zezalica za XFCE. Koristim default slackpkgplus.conf jer nisam imao potrebe da menjam bilo šta. Sad, ne znam kako da ubacim njegov repo. Tačnije, u repoe ubacim rlworkman, u mirrors ubacim njegov repo ali me zeza ključ. Vidim dole da postoje delovi "support gpg" i "not support gpg" i su svi čekirani sa tarabama ali normalno mi vuče recimo alienov ključ, slacky..
Kako da rešim ovo?



Administrator
Administrator
offline
User avatar

Posts: 4276
Joined: 04 Feb 2011, 20:32
Location: Beograd
Contact:

Post Napisano: 29 Jul 2014, 14:50


Kako misliš zeza te? Da li si odradio:

Code: Select all

slackpkg update gpg
slackpkg update



Elitni član
Elitni član
offline
User avatar

Posts: 425
Joined: 25 Mar 2012, 20:01

Post Napisano: 29 Jul 2014, 21:55


Jesam ali kaže da nema gpg ključ. Repo je ok ali ne znam kako ključ da ubacim. Išao sam na njegov sajt, desni klik na GPG key pa copy link address i taj link sam dodao za GPG. Tu sam negde za*rao sigurno.. :D



Administrator
Administrator
offline
User avatar

Posts: 2938
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 29 Jul 2014, 22:10


Zanimljiv deo iz /etc/slackpkg/slackpkgplus.conf

Code: Select all

#Does NOT support GPG
#salixos(*):    http://download.salixos.org/{i486,x86_64}/{13.37,14.0,14.1}/
#salixext:      http://people.salixos.org/ralvex/repository/x86_64/{14.0,14.1}/
#rlworkman(*):  http://rlworkman.net/pkgs/{13.37,14.0,14.1}/
#slackel:       http://www.slackel.gr/repo/{i486,x86_64}/current/
Reci šta ti treba za Xfce, ako je neki paket možda možeš sam da napraviš ili neko od nas.

EDIT: nisam lepo pročitao tvoj post, sad vidim da si video taj deo... (ko radi taj i greši - kako se to onda meni desilo :D )
i dalje ostaje, reci šta treba za Xfce dok rešimo repo.
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”



Administrator
Administrator
offline
User avatar

Posts: 2938
Joined: 01 Apr 2012, 13:50
Location: Mlečni put

Post Napisano: 29 Jul 2014, 22:38


Ja sam samo prebacio jedan red

Code: Select all

#rlworkman(*):  http://rlworkman.net/pkgs/{13.37,14.0,14.1}/
iz dela gde NE podržava GPG u odeljak gde podržava GPG.

Nisam gledao dokumentaciju ali izgleda da je uspelo. Nemam error sa GPG i

Code: Select all

# slackpkg update gpg
# slackpkg update
prolaze bez grešaka.

Probaj pa javi jesam li se izblamirao ili ovo zaista radi :grin:
Use the source, Luke
SSZ irc kanal
Spread the Word, “CHOOSE SLACK! and Don’t look back.”


Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests